package others_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type V2CustomListRequest struct {
	// <ext>core:true</ext> 【组织名称】组织名称 【作用】 支持查询平台方下所有的自定义参数或者查询独立管理组织下所有的自定义参数
	OrgName string `json:"orgName,omitempty"`
}

func (obj V2CustomListRequest) GetUrl() string {
	return "/v2/custom/list"
}

func (obj V2CustomListRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("orgName", obj.OrgName)
	return parameter
}
